Bug 742522 - RFE: automatically installs spice-vdagent for spice enabled virtual machines
Summary: RFE: automatically installs spice-vdagent for spice enabled virtual machines
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-30 12:41 UTC by Hans de Goede
Modified: 2013-05-21 15:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-06 23:12:55 UTC
Type: ---


Attachments (Terms of Use)

Description Hans de Goede 2011-09-30 12:41:27 UTC
Hi,

As discussed on irc, it would be nice if anaconda were to automatically install the spice-vdagent package in virtual machines which are configured with the spice agent channel.

Anaconda can detect this by checking for the presence of a symlink named:
/dev/virtio-ports/com.redhat.spice.0

Thanks,

Hans

Comment 1 Ales Kozumplik 2011-10-05 13:44:12 UTC
Hi Hans,

can you please try with 'updates=http://akozumpl.fedorapeople.org/bz742522.img' ?

It is an updates image against the current f16 (so should work with beta ISOs etc.) If it works for you I'll propose it for the master branch.

Comment 2 Ales Kozumplik 2011-10-31 15:03:07 UTC
Created attachment 530992 [details]
proposed resolution

If spice guys confirm this does what they expect it is ready to go.


Note You need to log in before you can comment on or make changes to this bug.